Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Stefan Monnier <[email-masked]>
Date: Mon, 20 Feb 2023 14:29:21 -0500

> I'd say it fixes an important bug in the regexp engine, but I cannot judge
> whether it's important enough for emacs-29.

FWIW, I've been using a slight variant of this code in my local Emacs
hacks for the last probably 10-15 years (I can't remember when I wrote
it, and the Git history only goes back to the Bzr->Git switch).

I had completely forgotten about it, but while doing the tests, I saw
that some cases were working better (in my local Emacs) than what
I expected while reading the code on `master` :-)

        Stefan